### Hierarchy

- XmlAttributeComponent<ISpacingProperties>
  - SpacingAttributes

## Index

### Constructors

- constructor

### Properties

- deleted
- root
- rootKey

### Accessors

- isDeleted

### Methods

- prepForXml
- set

### Object literals

- xmlKeys

## Constructors

### constructor

- new SpacingAttributes(properties: ISpacingProperties): SpacingAttributes

- Inherited from XmlAttributeComponent.constructor

  Overrides BaseXmlComponent.constructor

  - Defined in file/xml-components/default-attributes.ts:8

  #### Parameters

  - ##### properties: ISpacingProperties

  #### Returns SpacingAttributes

## Properties

### Protected deleted

deleted: boolean = false

Inherited from BaseXmlComponent.deleted

- Defined in file/xml-components/base.ts:5

### Protected root

root: ISpacingProperties

Inherited from XmlAttributeComponent.root

- Defined in file/xml-components/default-attributes.ts:7

### Protected rootKey

rootKey: string

Inherited from BaseXmlComponent.rootKey

- Defined in file/xml-components/base.ts:4

## Accessors

### isDeleted

- get isDeleted(): boolean

- Inherited from BaseXmlComponent.isDeleted

  - Defined in file/xml-components/base.ts:13

  #### Returns boolean

## Methods

### prepForXml

- prepForXml(): IXmlableObject

- Inherited from XmlAttributeComponent.prepForXml

  Overrides BaseXmlComponent.prepForXml

  - Defined in file/xml-components/default-attributes.ts:15

  #### Returns IXmlableObject

### set

- set(properties: ISpacingProperties): void

- Inherited from XmlAttributeComponent.set

  - Defined in file/xml-components/default-attributes.ts:27

  #### Parameters

  - ##### properties: ISpacingProperties

  #### Returns void

## Object literals

### Protected xmlKeys

xmlKeys: object

Overrides XmlAttributeComponent.xmlKeys

- Defined in file/paragraph/formatting/spacing.ts:12

### after

after: string = "w:after"

- Defined in file/paragraph/formatting/spacing.ts:13

### before

before: string = "w:before"

- Defined in file/paragraph/formatting/spacing.ts:14

### line

line: string = "w:line"

- Defined in file/paragraph/formatting/spacing.ts:15

### lineRule

lineRule: string = "w:lineRule"

- Defined in file/paragraph/formatting/spacing.ts:16

Generated using TypeDoc